Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.ide
Class LaunchConfigTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
              org.eclipse.amp.amf.ide.LaunchConfigTab

All Implemented Interfaces:
  org.eclipse.debug.ui.ILaunchConfigurationTab

    public class LaunchConfigTab

extends org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

This class defines the Ascapelaunch config main tab. It is based on MWELaunchConfigMainTab, which is in turn based on the Java one `org.eclipse.jdt.debug.ui.launchConfigurations.JavaMainTab`, but shows a workflow file instead of a Java class.
There is an additional `javaDebugCheckbox` to be able to select the debug process (oAW debug or Java debug)

Field Summary
`protected org.eclipse.swt.widgets.Text` | `modelClassText`

Constructor Summary
`LaunchConfigTab()`

Method Summary
`void` | `createControl(org.eclipse.swt.widgets.Composite parent)`
`Configurator` | `getConfigurator()`
`java.lang.String` | `getName()`
`void` | `initializeFrom(org.eclipse.debug.core.ILaunchConfiguration config)`
`boolean` | `isValid(org.eclipse.debug.core.ILaunchConfiguration launchConfig)`
`void` | `performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)`
`void` | `setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)`
`void` | `setRuntimeConfig(Configurator runtimeConfig)`

Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
`getContext, getCurrentLaunchConfiguration, initializeJavaProject`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab
`activated, canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, dispose, getControl, getErrorMessage, getHelpContextId, getId, getImage, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, updateLaunchConfigurationDialog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelClassText

    protected org.eclipse.swt.widgets.Text modelClassText

Constructor Detail

### LaunchConfigTab

    public LaunchConfigTab()

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

### initializeFrom

    public void initializeFrom(org.eclipse.debug.core.ILaunchConfiguration config)

  Specified by:
    `initializeFrom` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  Overrides:
    `initializeFrom` in class `org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab`

### isValid

    public boolean isValid(org.eclipse.debug.core.ILaunchConfiguration launchConfig)

  Specified by:
    `isValid` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  Overrides:
    `isValid` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### getName

    public java.lang.String getName()

### performApply

    public void performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)

### setDefaults

    public void setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)

### getConfigurator

    public Configurator getConfigurator()

### setRuntimeConfig

    public void setRuntimeConfig(Configurator runtimeConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD